PACCONF(1)

NAME
pacconf - query pacman's configuration file

SYNOPSIS
 pacconf [options] [<directive>...]
 pacconf (--repo-list|--help|--version)

DESCRIPTION
Query configuration options from pacman's configuration file. If no directives are provided, the entire configuration will be printed in a normalized format. By default, if only a single directive is provided, only its value will be printed without the option name. For directives without a value, the directive name will be used as the value.

The values displayed are the final values as would be parsed by pacman itself. All default values are set, "Include" directives are processed, $arch and $repo variables in repository servers are replaced, and "Architecture" will be replaced if set to "auto".

OPTIONS

--config=path
    Set an alternate configuration file path.

--root=path
    Set an alternate installation root.

--sysroot=path
    Set an alternate system root. See pacutils-sysroot(7).

--arch=arch
    Set an alternate architecture.

--null[=sep]
    Set an alternate separator for values parsed from stdin. By default a newline "\n" is used as the separator. If --null is used without specifying sep "NUL" will be used.

--options
    Only display global settings from the "[options]" section. The "[options]" header itself is not printed.

--raw
    Display unmodified values. "Include" directives will be processed, but defaults will not be set, $arch and $repo variables in repository servers will not be replaced, and "Architecture" will not be replaced if set to "auto".

--repo=name
    Only display directives for repository name. The repository header is not printed.

--repo-list
    List configured repositories.

--single
    Display only first value of multi-value options.

--verbose
    Always show directive names even if only one directive is provided.

--help
    Display usage information and exit.

--version
    Display version information and exit.

EXAMPLES

Check if color is enabled:
     color=$(pacconf color)
     [[ -n $color ]] && ... # print something in color